Skip to main content
GET
Read a donor unified interaction timeline

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

donor_id
integer
required

Donor id.

Query Parameters

page
integer

Page.

Required range: x >= 1
per_page
integer
default:25

Per page.

Required range: 1 <= x <= 50
manual_page
integer

Manual page.

Required range: x >= 1
manual_per_page
integer
default:50

Manual per page.

Required range: 1 <= x <= 50

Search.

direction
enum<string>

Direction.

Available options:
all,
sent,
outbound,
received,
inbound
source
string

all, google, microsoft, bcc, system or a source substring.

visibility
enum<string>

Visibility.

Available options:
all,
shared,
private,
team,
metadata
owner_user_id

Owner user id.

account_id

Account id.

attachments
enum<string>

Attachments.

Available options:
all,
with,
without
subtype
string

Subtype.

Response

Read a donor unified interaction timeline response.

data
object[]
manual_interactions
object[]
relationship_activities
object[]
manual_pagination
object
calendar_events
object[]
rollup
object | null
pagination
object
filters
object